Name:           ez-ipupdate
Version:        3.0.11
Release:        alt1_0.26.b8
Summary:        Client for Dynamic DNS Services

Group:          Networking/WWW
License:        GPLv2+
URL:            http://www.gusnet.cx/proj/ez-ipupdate/
Source0:        http://www.gusnet.cx/proj/ez-ipupdate/dist/ez-ipupdate-3.0.11b8.tar.gz
Source1:        %{name}.service
Patch0:         http://ftp.debian.org/debian/pool/main/e/ez-ipupdate/ez-ipupdate_3.0.11b8-10.diff.gz
Patch1:         %{name}-pidfile.patch
Patch2:		ez-ipupdate-3.0.11b8-zoneedit-server.patch

Requires(pre):    /usr/sbin/useradd /usr/sbin/groupadd
Source44: import.info

%description
ez-ipupdate is a small utility for updating your host name for any of the
dynamic DNS service offered at:
  * http://www.ez-ip.net
  * http://www.justlinux.com
  * http://www.dhs.org
  * http://www.dyndns.org
  * http://www.ods.org
  * http://gnudip.cheapnet.net (GNUDip)
  * http://www.dyn.ca (GNUDip)
  * http://www.tzo.com
  * http://www.easydns.com
  * http://www.dyns.cx
  * http://www.hn.org
  * http://www.zoneedit.com
It is pure C and works on Linux, *BSD and Solaris.
Don't forget to create your own config file to %%{_sysconfdir}/ez-ipupdate.conf.
You can find some examples in %%{_docdir}/%{name}-%{version}.


%prep
%setup -q -n %{name}-%{version}b8
%patch0 -p1
%patch1 -p0
%patch2 -p1
touch *.in aclocal.m4 configure
chmod +x missing
chmod a-x example*.conf


%build
export CFLAGS="-D_FILE_OFFSET_BITS=64 $RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}


%install

make install DESTDIR=$RPM_BUILD_ROOT bindir=%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
cp -p ez-ipupdate.8 $RPM_BUILD_ROOT%{_mandir}/man8

#mkdir -p $RPM_BUILD_ROOT%{_initrddir}
#%{__perl} -pe \
#  's|/var/|%{_var}/|g ;
#   s|/usr/sbin/|%{_sbindir}/|g ;
#   s|/etc/([^ir])|%{_sysconfdir}/$1|g ;
#   s|/etc/rc\.d/init\.d/|%{_initrddir}/|g' \
#  < %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/ez-ipupdate
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/ez-ipupdate.service

mkdir -p $RPM_BUILD_ROOT%{_var}/cache/ez-ipupdate
> $RPM_BUILD_ROOT%{_var}/cache/ez-ipupdate/default-cache

# Make a directory for config files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate
> $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate/default.conf

# Create a dedicated dir for the pid file so we can run as non-root.
mkdir -p $RPM_BUILD_ROOT%{_var}/run/ez-ipupdate



%pre
/usr/sbin/groupadd -r ez-ipupd >/dev/null 2>&1 || :
/usr/sbin/useradd -r -M -d %{_var}/cache/ez-ipupdate -g ez-ipupd \
  -s /sbin/nologin -c "Dynamic DNS Client" ez-ipupd >/dev/null 2>&1 || :

%files
%{_mandir}/man8/ez-ipupdate.8*
%attr(0755,root,root) %{_sbindir}/ez-ipupdate
%attr(0644,root,root) %{_unitdir}/ez-ipupdate.service
%dir %{_sysconfdir}/ez-ipupdate/
%doc CHANGELOG COPYING README example.conf example-*.conf
%defattr(-,ez-ipupd,ez-ipupd,-)
%dir %{_var}/cache/ez-ipupdate/
%dir %{_var}/run/ez-ipupdate/
%ghost %{_var}/cache/ez-ipupdate/default-cache
%ghost %attr(0640,root,ez-ipupd) %config(noreplace,missingok) %{_sysconfdir}/ez-ipupdate/default.conf



%changelog
* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 3.0.11-alt1_0.26.b8
- fc import

